package com.keao.edu.user.dto;

import com.keao.edu.user.api.enums.ExamEvaluationResultEnum;
import com.keao.edu.user.enums.ExamStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class StudentExamListDto{
    @ApiModelProperty(value = "实际考试开始时间")
    private String actualExamStartTime;

    @ApiModelProperty(value = "实际考试结束时间")
    private String actualExamEndTime;

    @ApiModelProperty(value = "考试项目名称")
    private String examBaseName;

    @ApiModelProperty(value = "考级项目编号")
    private Long examinationBasicId;

    @ApiModelProperty(value = "考级项目状态")
    private ExamStatusEnum examStatus;

    @ApiModelProperty(value = "准考证号")
    private String cardNo;

    @ApiModelProperty(value = "专业")
    private String subjectName;

    @ApiModelProperty(value = "专业")
    private Integer subjectId;

    @ApiModelProperty(value = "报考级别")
    private Integer level;

    @ApiModelProperty(value = "乐理级别")
    private Integer examMusicTheoryLevel;

    @ApiModelProperty(value = "乐理考级费用")
    private BigDecimal theoryLevelFee;

    @ApiModelProperty(value = "考试地点")
    private String examAddress;

    @ApiModelProperty(value = "准考证编号")
    private String examCertificationId;

    @ApiModelProperty(value = "学员报考编号")
    private Long examRegistrationId;

    @ApiModelProperty(value = "考试结果")
    private ExamEvaluationResultEnum result;

    @ApiModelProperty(value = "教师评审均分")
    private Float avgScore;

    @ApiModelProperty(value = "是否参与考试")
    private Integer isFinishedExam;

    @ApiModelProperty(value = "视频连接")
    private String videoUrl;

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getActualExamStartTime() {
        return actualExamStartTime;
    }

    public void setActualExamStartTime(String actualExamStartTime) {
        this.actualExamStartTime = actualExamStartTime;
    }

    public String getActualExamEndTime() {
        return actualExamEndTime;
    }

    public void setActualExamEndTime(String actualExamEndTime) {
        this.actualExamEndTime = actualExamEndTime;
    }

    public String getExamBaseName() {
        return examBaseName;
    }

    public void setExamBaseName(String examBaseName) {
        this.examBaseName = examBaseName;
    }

    public Long getExaminationBasicId() {
        return examinationBasicId;
    }

    public void setExaminationBasicId(Long examinationBasicId) {
        this.examinationBasicId = examinationBasicId;
    }

    public ExamStatusEnum getExamStatus() {
        return examStatus;
    }

    public void setExamStatus(ExamStatusEnum examStatus) {
        this.examStatus = examStatus;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getExamMusicTheoryLevel() {
        return examMusicTheoryLevel;
    }

    public void setExamMusicTheoryLevel(Integer examMusicTheoryLevel) {
        this.examMusicTheoryLevel = examMusicTheoryLevel;
    }

    public BigDecimal getTheoryLevelFee() {
        return theoryLevelFee;
    }

    public void setTheoryLevelFee(BigDecimal theoryLevelFee) {
        this.theoryLevelFee = theoryLevelFee;
    }

    public String getExamAddress() {
        return examAddress;
    }

    public void setExamAddress(String examAddress) {
        this.examAddress = examAddress;
    }

    public String getExamCertificationId() {
        return examCertificationId;
    }

    public void setExamCertificationId(String examCertificationId) {
        this.examCertificationId = examCertificationId;
    }

    public Long getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Long examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public ExamEvaluationResultEnum getResult() {
        return result;
    }

    public void setResult(ExamEvaluationResultEnum result) {
        this.result = result;
    }

    public Float getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Float avgScore) {
        this.avgScore = avgScore;
    }

    public Integer getIsFinishedExam() {
        return isFinishedExam;
    }

    public void setIsFinishedExam(Integer isFinishedExam) {
        this.isFinishedExam = isFinishedExam;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }
}
